#
# spec file for package gupnp
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gupnp
Version:        0.17.0
Release:        1
Summary:        Implementation of the UPnP specification
License:        LGPL v2 or later
Group:          Development/Libraries/C and C++
Url:            http://www.gupnp.org/
Source:         http://download.gnome.org/sources/gupnp/0.17/%{name}-%{version}.tar.bz2
BuildRequires:  gobject-introspection-devel
BuildRequires:  libsoup-devel
BuildRequires:  libgssdp-devel
BuildRequires:  libuuid-devel
BuildRequires:  libxml2-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GUPnP implements the UPnP specification: resource announcement and
discovery, description, control, event notification, and presentation
(GUPnP includes basic web server functionality through libsoup). GUPnP
does not include helpers for construction or control of specific
standardized resources (e.g. MediaServer); this is left for higher level
libraries utilizing the GUPnP framework.

%package -n libgupnp-1_0-4
License:        LGPL v2 or later
Summary:        Implementation of the UPnP specification
Group:          Development/Libraries/C and C++

%description -n libgupnp-1_0-4
GUPnP implements the UPnP specification: resource announcement and
discovery, description, control, event notification, and presentation
(GUPnP includes basic web server functionality through libsoup). GUPnP
does not include helpers for construction or control of specific
standardized resources (e.g. MediaServer); this is left for higher level
libraries utilizing the GUPnP framework.

%package -n libgupnp-devel
License:        LGPL v2 or later
Summary:        Implementation of the UPnP specification - Development Files
Group:          Development/Libraries/C and C++
Requires:       libgupnp-1_0-4 = %{version}
Requires:       libsoup-devel
Requires:       libgssdp-devel
Requires:       libxml2-devel

%description -n libgupnp-devel
GUPnP implements the UPnP specification: resource announcement and
discovery, description, control, event notification, and presentation
(GUPnP includes basic web server functionality through libsoup). GUPnP
does not include helpers for construction or control of specific
standardized resources (e.g. MediaServer); this is left for higher level
libraries utilizing the GUPnP framework.

%prep
%setup -q

%build
%configure --disable-static
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%clean
rm -rf %{buildroot}

%post -n libgupnp-1_0-4 -p /sbin/ldconfig

%postun -n libgupnp-1_0-4 -p /sbin/ldconfig

%files -n libgupnp-1_0-4
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GUPnP-1.0.typelib

%files -n libgupnp-devel
%defattr(-,root,root)
%{_bindir}/gupnp-binding-tool
%{_includedir}/%{name}-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/GUPnP-1.0.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/%{name}

%changelog
